petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCKSPGetKSP

Gets the KSP context for a KSP PC.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCKSPGetKSP(PC pc,KSP *ksp)

Not Collective but KSP returned is parallel if PC was parallel Many br

### Input Parameter

pc -the preconditioner context Many br

### Output Parameters

ksp -the PC solver Many br

### Notes

You must call KSPSetUp() before calling PCKSPGetKSP(). Many br

If the PC is not a PCKSP object then a NULL is returned Many br

Many br

### Keywords

PC, KSP, get, context

Level:advanced
Location:src/ksp/pc/impls/ksp/pcksp.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages